#
# spec file for package xv (Version 3.10a)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg libtiff libz libpng

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xv
Release:      22
Copyright:    1989, 1994 John Bradley (SHAREWARE)
Group: 
Provides:     xv xv300 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.10a
Summary:      GIF/TIFF/JPEG/PostScript image viewer
Source: xv-3.10a.tar.gz
Patch: xv-3.10a.dif
%description
XV is an interactive image viewer for the X Window System. The XV
program displays images in the GIF, JPEG, TIFF, PBM, PGM, PPM, X11
bitmap, Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX,
IRIS RGB, XPM, Targa, XWD, possibly PostScript, and PM formats on
workstations and terminals running the X Window System, Version 11.
The XV program is also capable to manipulate pictures. It can zoom in
and out of picture, and rotate and flip them. It also provides a wide
variety of operations to modify colors.
Surley, one of the most famous programs under Linux.
You will find the documentation in /usr/doc/packages/xv/.
Please remember that this program has shareware status for commercial use.

Authors:
--------
    John Bradley <bradley@dccs.upenn.edu>

%prep
%setup
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%files
%dir /usr/doc/packages/xv
/usr/X11R6/bin/bggen
/usr/X11R6/bin/vdcomp
/usr/X11R6/bin/xcmap
/usr/X11R6/bin/xv
/usr/X11R6/bin/xvpictoppm
%doc /usr/X11R6/man/man1/bggen.1x.gz
%doc /usr/X11R6/man/man1/vdcomp.1x.gz
%doc /usr/X11R6/man/man1/xcmap.1x.gz
%doc /usr/X11R6/man/man1/xv.1x.gz
%doc /usr/X11R6/man/man1/xvpictoppm.1x.gz
%doc /usr/doc/packages/xv/README
%doc /usr/doc/packages/xv/bggen.man.gz
%doc /usr/doc/packages/xv/bigxv.jpg.gz
%doc /usr/doc/packages/xv/bmp.doc
%doc /usr/doc/packages/xv/epsf.ps.gz
%doc /usr/doc/packages/xv/gif.ack
%doc /usr/doc/packages/xv/gif.aspect
%doc /usr/doc/packages/xv/gif87.doc
%doc /usr/doc/packages/xv/gif89.doc
%doc /usr/doc/packages/xv/help
%doc /usr/doc/packages/xv/pbm.5.gz
%doc /usr/doc/packages/xv/penn.policy
%doc /usr/doc/packages/xv/pgm.5.gz
%doc /usr/doc/packages/xv/ppm.5.gz
%doc /usr/doc/packages/xv/vdcomp.man.gz
%doc /usr/doc/packages/xv/xcmap.man.gz
%doc /usr/doc/packages/xv/xpm.ps.gz
%doc /usr/doc/packages/xv/xv.ann
%doc /usr/doc/packages/xv/xv.blurb
%doc /usr/doc/packages/xv/xv.man.gz
%doc /usr/doc/packages/xv/xvdocs.ps.gz
%doc /usr/doc/packages/xv/xvp2p.man.gz
%doc /usr/doc/packages/xv/xvtitle.ps.gz

